import * as pulumi from "@pulumi/pulumi";
/**
 * The ``AWS::ApiGateway::DocumentationVersion`` resource creates a snapshot of the documentation for an API. For more information, see [Representation of API Documentation in API Gateway](https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-documenting-api-content-representation.html) in the *API Gateway Developer Guide*.
 */
export declare function getDocumentationVersion(args: GetDocumentationVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetDocumentationVersionResult>;
export interface GetDocumentationVersionArgs {
    /**
     * The version identifier of the to-be-updated documentation version.
     */
    documentationVersion: string;
    /**
     * The string identifier of the associated RestApi.
     */
    restApiId: string;
}
export interface GetDocumentationVersionResult {
    /**
     * A description about the new documentation snapshot.
     */
    readonly description?: string;
}
/**
 * The ``AWS::ApiGateway::DocumentationVersion`` resource creates a snapshot of the documentation for an API. For more information, see [Representation of API Documentation in API Gateway](https://docs.aws.amazon.com/apigateway/latest/developerguide/api-gateway-documenting-api-content-representation.html) in the *API Gateway Developer Guide*.
 */
export declare function getDocumentationVersionOutput(args: GetDocumentationVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDocumentationVersionResult>;
export interface GetDocumentationVersionOutputArgs {
    /**
     * The version identifier of the to-be-updated documentation version.
     */
    documentationVersion: pulumi.Input<string>;
    /**
     * The string identifier of the associated RestApi.
     */
    restApiId: pulumi.Input<string>;
}
