import * as pulumi from "@pulumi/pulumi";
/**
 * AWS Cost Anomaly Detection leverages advanced Machine Learning technologies to identify anomalous spend and root causes, so you can quickly take action. You can use Cost Anomaly Detection by creating monitor.
 */
export declare function getAnomalyMonitor(args: GetAnomalyMonitorArgs, opts?: pulumi.InvokeOptions): Promise<GetAnomalyMonitorResult>;
export interface GetAnomalyMonitorArgs {
    /**
     * The Amazon Resource Name (ARN) value for the monitor.
     */
    monitorArn: string;
}
export interface GetAnomalyMonitorResult {
    /**
     * The date when the monitor was created.
     */
    readonly creationDate?: string;
    /**
     * The value for evaluated dimensions.
     */
    readonly dimensionalValueCount?: number;
    /**
     * The date when the monitor last evaluated for anomalies.
     */
    readonly lastEvaluatedDate?: string;
    /**
     * The date when the monitor was last updated.
     */
    readonly lastUpdatedDate?: string;
    /**
     * The Amazon Resource Name (ARN) value for the monitor.
     */
    readonly monitorArn?: string;
    /**
     * The name of the monitor.
     */
    readonly monitorName?: string;
}
/**
 * AWS Cost Anomaly Detection leverages advanced Machine Learning technologies to identify anomalous spend and root causes, so you can quickly take action. You can use Cost Anomaly Detection by creating monitor.
 */
export declare function getAnomalyMonitorOutput(args: GetAnomalyMonitorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAnomalyMonitorResult>;
export interface GetAnomalyMonitorOutputArgs {
    /**
     * The Amazon Resource Name (ARN) value for the monitor.
     */
    monitorArn: pulumi.Input<string>;
}
