"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Flywheel = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::Comprehend::Flywheel resource creates an Amazon Comprehend Flywheel that enables customer to train their model.
 */
class Flywheel extends pulumi.CustomResource {
    /**
     * Get an existing Flywheel resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Flywheel(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Flywheel.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Flywheel.__pulumiType;
    }
    /**
     * Create a Flywheel resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.dataAccessRoleArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'dataAccessRoleArn'");
            }
            if ((!args || args.dataLakeS3Uri === undefined) && !opts.urn) {
                throw new Error("Missing required property 'dataLakeS3Uri'");
            }
            resourceInputs["activeModelArn"] = args ? args.activeModelArn : undefined;
            resourceInputs["dataAccessRoleArn"] = args ? args.dataAccessRoleArn : undefined;
            resourceInputs["dataLakeS3Uri"] = args ? args.dataLakeS3Uri : undefined;
            resourceInputs["dataSecurityConfig"] = args ? args.dataSecurityConfig : undefined;
            resourceInputs["flywheelName"] = args ? args.flywheelName : undefined;
            resourceInputs["modelType"] = args ? args.modelType : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["taskConfig"] = args ? args.taskConfig : undefined;
            resourceInputs["arn"] = undefined /*out*/;
        }
        else {
            resourceInputs["activeModelArn"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["dataAccessRoleArn"] = undefined /*out*/;
            resourceInputs["dataLakeS3Uri"] = undefined /*out*/;
            resourceInputs["dataSecurityConfig"] = undefined /*out*/;
            resourceInputs["flywheelName"] = undefined /*out*/;
            resourceInputs["modelType"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["taskConfig"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["dataLakeS3Uri", "flywheelName", "modelType", "taskConfig"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Flywheel.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Flywheel = Flywheel;
/** @internal */
Flywheel.__pulumiType = 'aws-native:comprehend:Flywheel';
//# sourceMappingURL=flywheel.js.map