import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::Deadline::Farm Resource Type
 */
export declare function getFarm(args: GetFarmArgs, opts?: pulumi.InvokeOptions): Promise<GetFarmResult>;
export interface GetFarmArgs {
    /**
     * The Amazon Resource Name (ARN) assigned to the farm.
     */
    arn: string;
}
export interface GetFarmResult {
    /**
     * The Amazon Resource Name (ARN) assigned to the farm.
     */
    readonly arn?: string;
    /**
     * A description of the farm that helps identify what the farm is used for.
     *
     * > This field can store any content. Escape or encode this content before displaying it on a webpage or any other system that might interpret the content of this field.
     */
    readonly description?: string;
    /**
     * The display name of the farm.
     *
     * > This field can store any content. Escape or encode this content before displaying it on a webpage or any other system that might interpret the content of this field.
     */
    readonly displayName?: string;
    /**
     * The farm ID.
     */
    readonly farmId?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::Deadline::Farm Resource Type
 */
export declare function getFarmOutput(args: GetFarmOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFarmResult>;
export interface GetFarmOutputArgs {
    /**
     * The Amazon Resource Name (ARN) assigned to the farm.
     */
    arn: pulumi.Input<string>;
}
