import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Deadline::LicenseEndpoint Resource Type
 */
export declare function getLicenseEndpoint(args: GetLicenseEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetLicenseEndpointResult>;
export interface GetLicenseEndpointArgs {
    /**
     * The Amazon Resource Name (ARN) of the license endpoint.
     */
    arn: string;
}
export interface GetLicenseEndpointResult {
    /**
     * The Amazon Resource Name (ARN) of the license endpoint.
     */
    readonly arn?: string;
    /**
     * The DNS name of the license server endpoint.
     */
    readonly dnsName?: string;
    /**
     * The license endpoint ID.
     */
    readonly licenseEndpointId?: string;
    /**
     * The status of the license endpoint.
     */
    readonly status?: enums.deadline.LicenseEndpointStatus;
    /**
     * The status message of the license endpoint.
     */
    readonly statusMessage?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::Deadline::LicenseEndpoint Resource Type
 */
export declare function getLicenseEndpointOutput(args: GetLicenseEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLicenseEndpointResult>;
export interface GetLicenseEndpointOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the license endpoint.
     */
    arn: pulumi.Input<string>;
}
