import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Deadline::MeteredProduct Resource Type
 */
export declare function getMeteredProduct(args: GetMeteredProductArgs, opts?: pulumi.InvokeOptions): Promise<GetMeteredProductResult>;
export interface GetMeteredProductArgs {
    /**
     * The Amazon Resource Name (ARN) of the metered product.
     */
    arn: string;
}
export interface GetMeteredProductResult {
    /**
     * The Amazon Resource Name (ARN) of the metered product.
     */
    readonly arn?: string;
    /**
     * The family to which the metered product belongs.
     */
    readonly family?: string;
    /**
     * The port on which the metered product should run.
     */
    readonly port?: number;
    /**
     * The vendor.
     */
    readonly vendor?: string;
}
/**
 * Definition of AWS::Deadline::MeteredProduct Resource Type
 */
export declare function getMeteredProductOutput(args: GetMeteredProductOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMeteredProductResult>;
export interface GetMeteredProductOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the metered product.
     */
    arn: pulumi.Input<string>;
}
