import * as pulumi from "@pulumi/pulumi";
/**
 * Resource schema for AWS::Detective::MemberInvitation
 */
export declare function getMemberInvitation(args: GetMemberInvitationArgs, opts?: pulumi.InvokeOptions): Promise<GetMemberInvitationResult>;
export interface GetMemberInvitationArgs {
    /**
     * The ARN of the graph to which the member account will be invited
     */
    graphArn: string;
    /**
     * The AWS account ID to be invited to join the graph as a member
     */
    memberId: string;
}
export interface GetMemberInvitationResult {
    /**
     * The root email address for the account to be invited, for validation. Updating this field has no effect.
     */
    readonly memberEmailAddress?: string;
}
/**
 * Resource schema for AWS::Detective::MemberInvitation
 */
export declare function getMemberInvitationOutput(args: GetMemberInvitationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMemberInvitationResult>;
export interface GetMemberInvitationOutputArgs {
    /**
     * The ARN of the graph to which the member account will be invited
     */
    graphArn: pulumi.Input<string>;
    /**
     * The AWS account ID to be invited to join the graph as a member
     */
    memberId: pulumi.Input<string>;
}
