import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for Local Gateway Route Table which describes a route table for a local gateway.
 */
export declare function getLocalGatewayRouteTable(args: GetLocalGatewayRouteTableArgs, opts?: pulumi.InvokeOptions): Promise<GetLocalGatewayRouteTableResult>;
export interface GetLocalGatewayRouteTableArgs {
    /**
     * The ID of the local gateway route table.
     */
    localGatewayRouteTableId: string;
}
export interface GetLocalGatewayRouteTableResult {
    /**
     * The ARN of the local gateway route table.
     */
    readonly localGatewayRouteTableArn?: string;
    /**
     * The ID of the local gateway route table.
     */
    readonly localGatewayRouteTableId?: string;
    /**
     * The ARN of the outpost.
     */
    readonly outpostArn?: string;
    /**
     * The owner of the local gateway route table.
     */
    readonly ownerId?: string;
    /**
     * The state of the local gateway route table.
     */
    readonly state?: string;
    /**
     * The tags for the local gateway route table.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for Local Gateway Route Table which describes a route table for a local gateway.
 */
export declare function getLocalGatewayRouteTableOutput(args: GetLocalGatewayRouteTableOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocalGatewayRouteTableResult>;
export interface GetLocalGatewayRouteTableOutputArgs {
    /**
     * The ID of the local gateway route table.
     */
    localGatewayRouteTableId: pulumi.Input<string>;
}
