import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::EC2::SnapshotBlockPublicAccess
 */
export declare function getSnapshotBlockPublicAccess(args: GetSnapshotBlockPublicAccessArgs, opts?: pulumi.InvokeOptions): Promise<GetSnapshotBlockPublicAccessResult>;
export interface GetSnapshotBlockPublicAccessArgs {
    /**
     * The identifier for the specified AWS account.
     */
    accountId: string;
}
export interface GetSnapshotBlockPublicAccessResult {
    /**
     * The identifier for the specified AWS account.
     */
    readonly accountId?: string;
    /**
     * The state of EBS Snapshot Block Public Access.
     */
    readonly state?: enums.ec2.SnapshotBlockPublicAccessState;
}
/**
 * Resource Type definition for AWS::EC2::SnapshotBlockPublicAccess
 */
export declare function getSnapshotBlockPublicAccessOutput(args: GetSnapshotBlockPublicAccessOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSnapshotBlockPublicAccessResult>;
export interface GetSnapshotBlockPublicAccessOutputArgs {
    /**
     * The identifier for the specified AWS account.
     */
    accountId: pulumi.Input<string>;
}
