import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::VPCGatewayAttachment
 */
export declare function getVpcGatewayAttachment(args: GetVpcGatewayAttachmentArgs, opts?: pulumi.InvokeOptions): Promise<GetVpcGatewayAttachmentResult>;
export interface GetVpcGatewayAttachmentArgs {
    /**
     * Used to identify if this resource is an Internet Gateway or Vpn Gateway Attachment
     */
    attachmentType: string;
    /**
     * The ID of the VPC.
     */
    vpcId: string;
}
export interface GetVpcGatewayAttachmentResult {
    /**
     * Used to identify if this resource is an Internet Gateway or Vpn Gateway Attachment
     */
    readonly attachmentType?: string;
    /**
     * The ID of the internet gateway. You must specify either InternetGatewayId or VpnGatewayId, but not both.
     */
    readonly internetGatewayId?: string;
    /**
     * The ID of the virtual private gateway. You must specify either InternetGatewayId or VpnGatewayId, but not both.
     */
    readonly vpnGatewayId?: string;
}
/**
 * Resource Type definition for AWS::EC2::VPCGatewayAttachment
 */
export declare function getVpcGatewayAttachmentOutput(args: GetVpcGatewayAttachmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVpcGatewayAttachmentResult>;
export interface GetVpcGatewayAttachmentOutputArgs {
    /**
     * Used to identify if this resource is an Internet Gateway or Vpn Gateway Attachment
     */
    attachmentType: pulumi.Input<string>;
    /**
     * The ID of the VPC.
     */
    vpcId: pulumi.Input<string>;
}
