import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::ElasticBeanstalk::ApplicationVersion
 */
export declare function getApplicationVersion(args: GetApplicationVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationVersionResult>;
export interface GetApplicationVersionArgs {
    /**
     * The name of the Elastic Beanstalk application that is associated with this application version.
     */
    applicationName: string;
    id: string;
}
export interface GetApplicationVersionResult {
    /**
     * A description of this application version.
     */
    readonly description?: string;
    readonly id?: string;
}
/**
 * Resource Type definition for AWS::ElasticBeanstalk::ApplicationVersion
 */
export declare function getApplicationVersionOutput(args: GetApplicationVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationVersionResult>;
export interface GetApplicationVersionOutputArgs {
    /**
     * The name of the Elastic Beanstalk application that is associated with this application version.
     */
    applicationName: pulumi.Input<string>;
    id: pulumi.Input<string>;
}
