import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EventSchemas::Schema
 */
export declare function getSchema(args: GetSchemaArgs, opts?: pulumi.InvokeOptions): Promise<GetSchemaResult>;
export interface GetSchemaArgs {
    /**
     * The ARN of the schema.
     */
    schemaArn: string;
}
export interface GetSchemaResult {
    /**
     * The source of the schema definition.
     */
    readonly content?: string;
    /**
     * A description of the schema.
     */
    readonly description?: string;
    /**
     * The last modified time of the schema.
     */
    readonly lastModified?: string;
    /**
     * The ARN of the schema.
     */
    readonly schemaArn?: string;
    /**
     * The version number of the schema.
     */
    readonly schemaVersion?: string;
    /**
     * Tags associated with the resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The type of schema. Valid types include OpenApi3 and JSONSchemaDraft4.
     */
    readonly type?: string;
    /**
     * The date the schema version was created.
     */
    readonly versionCreatedDate?: string;
}
/**
 * Resource Type definition for AWS::EventSchemas::Schema
 */
export declare function getSchemaOutput(args: GetSchemaOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSchemaResult>;
export interface GetSchemaOutputArgs {
    /**
     * The ARN of the schema.
     */
    schemaArn: pulumi.Input<string>;
}
