"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::IoTEvents::Input resource creates an input. To monitor your devices and processes, they must have a way to get telemetry data into ITE. This is done by sending messages as *inputs* to ITE. For more information, see [How to Use](https://docs.aws.amazon.com/iotevents/latest/developerguide/how-to-use-iotevents.html) in the *Developer Guide*.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myInput = new aws_native.iotevents.Input("myInput", {
 *     inputName: "myInput",
 *     inputDescription: "My Input created by CloudFormation",
 *     inputDefinition: {
 *         attributes: [
 *             {
 *                 jsonPath: "foo",
 *             },
 *             {
 *                 jsonPath: "bar",
 *             },
 *         ],
 *     },
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myInput = new aws_native.iotevents.Input("myInput", {
 *     inputName: "myInput",
 *     inputDescription: "My Input created by CloudFormation",
 *     inputDefinition: {
 *         attributes: [
 *             {
 *                 jsonPath: "foo",
 *             },
 *             {
 *                 jsonPath: "bar",
 *             },
 *         ],
 *     },
 * });
 *
 * ```
 */
class Input extends pulumi.CustomResource {
    /**
     * Get an existing Input resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Input(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Input.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Input.__pulumiType;
    }
    /**
     * Create a Input resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.inputDefinition === undefined) && !opts.urn) {
                throw new Error("Missing required property 'inputDefinition'");
            }
            resourceInputs["inputDefinition"] = args ? args.inputDefinition : undefined;
            resourceInputs["inputDescription"] = args ? args.inputDescription : undefined;
            resourceInputs["inputName"] = args ? args.inputName : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
        }
        else {
            resourceInputs["inputDefinition"] = undefined /*out*/;
            resourceInputs["inputDescription"] = undefined /*out*/;
            resourceInputs["inputName"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["inputName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Input.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Input = Input;
/** @internal */
Input.__pulumiType = 'aws-native:iotevents:Input';
//# sourceMappingURL=input.js.map