"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Portal = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::IoTSiteWise::Portal
 */
class Portal extends pulumi.CustomResource {
    /**
     * Get an existing Portal resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Portal(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Portal.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Portal.__pulumiType;
    }
    /**
     * Create a Portal resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.portalContactEmail === undefined) && !opts.urn) {
                throw new Error("Missing required property 'portalContactEmail'");
            }
            if ((!args || args.roleArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'roleArn'");
            }
            resourceInputs["alarms"] = args ? args.alarms : undefined;
            resourceInputs["notificationSenderEmail"] = args ? args.notificationSenderEmail : undefined;
            resourceInputs["portalAuthMode"] = args ? args.portalAuthMode : undefined;
            resourceInputs["portalContactEmail"] = args ? args.portalContactEmail : undefined;
            resourceInputs["portalDescription"] = args ? args.portalDescription : undefined;
            resourceInputs["portalName"] = args ? args.portalName : undefined;
            resourceInputs["portalType"] = args ? args.portalType : undefined;
            resourceInputs["portalTypeConfiguration"] = args ? args.portalTypeConfiguration : undefined;
            resourceInputs["roleArn"] = args ? args.roleArn : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["portalArn"] = undefined /*out*/;
            resourceInputs["portalClientId"] = undefined /*out*/;
            resourceInputs["portalId"] = undefined /*out*/;
            resourceInputs["portalStartUrl"] = undefined /*out*/;
        }
        else {
            resourceInputs["alarms"] = undefined /*out*/;
            resourceInputs["notificationSenderEmail"] = undefined /*out*/;
            resourceInputs["portalArn"] = undefined /*out*/;
            resourceInputs["portalAuthMode"] = undefined /*out*/;
            resourceInputs["portalClientId"] = undefined /*out*/;
            resourceInputs["portalContactEmail"] = undefined /*out*/;
            resourceInputs["portalDescription"] = undefined /*out*/;
            resourceInputs["portalId"] = undefined /*out*/;
            resourceInputs["portalName"] = undefined /*out*/;
            resourceInputs["portalStartUrl"] = undefined /*out*/;
            resourceInputs["portalType"] = undefined /*out*/;
            resourceInputs["portalTypeConfiguration"] = undefined /*out*/;
            resourceInputs["roleArn"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["portalAuthMode", "portalType"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Portal.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Portal = Portal;
/** @internal */
Portal.__pulumiType = 'aws-native:iotsitewise:Portal';
//# sourceMappingURL=portal.js.map