import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::MediaConnect::BridgeOutput
 */
export declare class BridgeOutputResource extends pulumi.CustomResource {
    /**
     * Get an existing BridgeOutputResource resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): BridgeOutputResource;
    /**
     * Returns true if the given object is an instance of BridgeOutputResource.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is BridgeOutputResource;
    /**
     * The Amazon Resource Number (ARN) of the bridge.
     */
    readonly bridgeArn: pulumi.Output<string>;
    /**
     * The network output name.
     */
    readonly name: pulumi.Output<string>;
    /**
     * The output of the bridge.
     */
    readonly networkOutput: pulumi.Output<outputs.mediaconnect.BridgeOutputResourceBridgeNetworkOutput>;
    /**
     * Create a BridgeOutputResource resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: BridgeOutputResourceArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a BridgeOutputResource resource.
 */
export interface BridgeOutputResourceArgs {
    /**
     * The Amazon Resource Number (ARN) of the bridge.
     */
    bridgeArn: pulumi.Input<string>;
    /**
     * The network output name.
     */
    name?: pulumi.Input<string>;
    /**
     * The output of the bridge.
     */
    networkOutput: pulumi.Input<inputs.mediaconnect.BridgeOutputResourceBridgeNetworkOutputArgs>;
}
