import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::MediaLive::EventBridgeRuleTemplateGroup Resource Type
 */
export declare class EventBridgeRuleTemplateGroup extends pulumi.CustomResource {
    /**
     * Get an existing EventBridgeRuleTemplateGroup resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): EventBridgeRuleTemplateGroup;
    /**
     * Returns true if the given object is an instance of EventBridgeRuleTemplateGroup.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is EventBridgeRuleTemplateGroup;
    /**
     * An eventbridge rule template group's ARN (Amazon Resource Name)
     */
    readonly arn: pulumi.Output<string>;
    /**
     * An eventbridge rule template group's id. AWS provided template groups have ids that start with `aws-`
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * The date and time of resource creation.
     */
    readonly createdAt: pulumi.Output<string>;
    /**
     * A resource's optional description.
     */
    readonly description: pulumi.Output<string | undefined>;
    readonly identifier: pulumi.Output<string>;
    /**
     * The date and time of latest resource modification.
     */
    readonly modifiedAt: pulumi.Output<string>;
    /**
     * A resource's name. Names must be unique within the scope of a resource type in a specific region.
     */
    readonly name: pulumi.Output<string>;
    readonly tags: pulumi.Output<{
        [key: string]: string;
    } | undefined>;
    /**
     * Create a EventBridgeRuleTemplateGroup resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: EventBridgeRuleTemplateGroupArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a EventBridgeRuleTemplateGroup resource.
 */
export interface EventBridgeRuleTemplateGroupArgs {
    /**
     * A resource's optional description.
     */
    description?: pulumi.Input<string>;
    /**
     * A resource's name. Names must be unique within the scope of a resource type in a specific region.
     */
    name?: pulumi.Input<string>;
    tags?: pulumi.Input<{
        [key: string]: pulumi.Input<string>;
    }>;
}
