import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::MemoryDB::ParameterGroup resource creates an Amazon MemoryDB ParameterGroup.
 */
export declare function getParameterGroup(args: GetParameterGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetParameterGroupResult>;
export interface GetParameterGroupArgs {
    /**
     * The name of the parameter group.
     */
    parameterGroupName: string;
}
export interface GetParameterGroupResult {
    /**
     * The Amazon Resource Name (ARN) of the parameter group.
     */
    readonly arn?: string;
    /**
     * An array of key-value pairs to apply to this parameter group.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::MemoryDB::ParameterGroup resource creates an Amazon MemoryDB ParameterGroup.
 */
export declare function getParameterGroupOutput(args: GetParameterGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetParameterGroupResult>;
export interface GetParameterGroupOutputArgs {
    /**
     * The name of the parameter group.
     */
    parameterGroupName: pulumi.Input<string>;
}
