import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::MSK::Configuration
 */
export declare function getConfiguration(args: GetConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetConfigurationResult>;
export interface GetConfigurationArgs {
    /**
     * The Amazon Resource Name (ARN) of the configuration.
     */
    arn: string;
}
export interface GetConfigurationResult {
    /**
     * The Amazon Resource Name (ARN) of the configuration.
     */
    readonly arn?: string;
    /**
     * The description of the configuration.
     */
    readonly description?: string;
    /**
     * Latest revision of the MSK configuration.
     */
    readonly latestRevision?: outputs.msk.ConfigurationLatestRevision;
}
/**
 * Resource Type definition for AWS::MSK::Configuration
 */
export declare function getConfigurationOutput(args: GetConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConfigurationResult>;
export interface GetConfigurationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the configuration.
     */
    arn: pulumi.Input<string>;
}
