import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::MSK::Replicator
 */
export declare function getReplicator(args: GetReplicatorArgs, opts?: pulumi.InvokeOptions): Promise<GetReplicatorResult>;
export interface GetReplicatorArgs {
    /**
     * Amazon Resource Name for the created replicator.
     */
    replicatorArn: string;
}
export interface GetReplicatorResult {
    /**
     * The current version of the MSK replicator.
     */
    readonly currentVersion?: string;
    /**
     * A list of replication configurations, where each configuration targets a given source cluster to target cluster replication flow.
     */
    readonly replicationInfoList?: outputs.msk.ReplicatorReplicationInfo[];
    /**
     * Amazon Resource Name for the created replicator.
     */
    readonly replicatorArn?: string;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::MSK::Replicator
 */
export declare function getReplicatorOutput(args: GetReplicatorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetReplicatorResult>;
export interface GetReplicatorOutputArgs {
    /**
     * Amazon Resource Name for the created replicator.
     */
    replicatorArn: pulumi.Input<string>;
}
