import * as pulumi from "@pulumi/pulumi";
/**
 * Resource used to control (enable/disable) DNSSEC in a specific hosted zone.
 */
export declare class Dnssec extends pulumi.CustomResource {
    /**
     * Get an existing Dnssec resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): Dnssec;
    /**
     * Returns true if the given object is an instance of Dnssec.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is Dnssec;
    /**
     * The unique string (ID) used to identify a hosted zone.
     */
    readonly hostedZoneId: pulumi.Output<string>;
    /**
     * Create a Dnssec resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: DnssecArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a Dnssec resource.
 */
export interface DnssecArgs {
    /**
     * The unique string (ID) used to identify a hosted zone.
     */
    hostedZoneId: pulumi.Input<string>;
}
