import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::Route53::HealthCheck.
 */
export declare function getHealthCheck(args: GetHealthCheckArgs, opts?: pulumi.InvokeOptions): Promise<GetHealthCheckResult>;
export interface GetHealthCheckArgs {
    /**
     * The identifier that Amazon Route 53 assigned to the health check when you created it. When you add or update a resource record set, you use this value to specify which health check to use. The value can be up to 64 characters long.
     */
    healthCheckId: string;
}
export interface GetHealthCheckResult {
    /**
     * A complex type that contains information about the health check.
     */
    readonly healthCheckConfig?: outputs.route53.HealthCheckConfigProperties;
    /**
     * The identifier that Amazon Route 53 assigned to the health check when you created it. When you add or update a resource record set, you use this value to specify which health check to use. The value can be up to 64 characters long.
     */
    readonly healthCheckId?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly healthCheckTags?: outputs.route53.HealthCheckTag[];
}
/**
 * Resource schema for AWS::Route53::HealthCheck.
 */
export declare function getHealthCheckOutput(args: GetHealthCheckOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetHealthCheckResult>;
export interface GetHealthCheckOutputArgs {
    /**
     * The identifier that Amazon Route 53 assigned to the health check when you created it. When you add or update a resource record set, you use this value to specify which health check to use. The value can be up to 64 characters long.
     */
    healthCheckId: pulumi.Input<string>;
}
