import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS Route53 Recovery Readiness Recovery Group Schema and API specifications.
 */
export declare function getRecoveryGroup(args: GetRecoveryGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetRecoveryGroupResult>;
export interface GetRecoveryGroupArgs {
    /**
     * The name of the recovery group to create.
     */
    recoveryGroupName: string;
}
export interface GetRecoveryGroupResult {
    /**
     * A list of the cell Amazon Resource Names (ARNs) in the recovery group.
     */
    readonly cells?: string[];
    /**
     * A collection of tags associated with a resource.
     */
    readonly recoveryGroupArn?: string;
    /**
     * A collection of tags associated with a resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * AWS Route53 Recovery Readiness Recovery Group Schema and API specifications.
 */
export declare function getRecoveryGroupOutput(args: GetRecoveryGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRecoveryGroupResult>;
export interface GetRecoveryGroupOutputArgs {
    /**
     * The name of the recovery group to create.
     */
    recoveryGroupName: pulumi.Input<string>;
}
