import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Route53Resolver::ResolverConfig.
 */
export declare function getResolverConfig(args: GetResolverConfigArgs, opts?: pulumi.InvokeOptions): Promise<GetResolverConfigResult>;
export interface GetResolverConfigArgs {
    /**
     * ResourceId
     */
    resourceId: string;
}
export interface GetResolverConfigResult {
    /**
     * ResolverAutodefinedReverseStatus, possible values are ENABLING, ENABLED, DISABLING AND DISABLED.
     */
    readonly autodefinedReverse?: enums.route53resolver.ResolverConfigAutodefinedReverse;
    /**
     * Id
     */
    readonly id?: string;
    /**
     * AccountId
     */
    readonly ownerId?: string;
}
/**
 * Resource schema for AWS::Route53Resolver::ResolverConfig.
 */
export declare function getResolverConfigOutput(args: GetResolverConfigOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResolverConfigResult>;
export interface GetResolverConfigOutputArgs {
    /**
     * ResourceId
     */
    resourceId: pulumi.Input<string>;
}
