import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::S3::AccessGrantsInstance resource is an Amazon S3 resource type that hosts Access Grants and their associated locations
 */
export declare function getAccessGrantsInstance(args: GetAccessGrantsInstanceArgs, opts?: pulumi.InvokeOptions): Promise<GetAccessGrantsInstanceResult>;
export interface GetAccessGrantsInstanceArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified Access Grants instance.
     */
    accessGrantsInstanceArn: string;
}
export interface GetAccessGrantsInstanceResult {
    /**
     * The Amazon Resource Name (ARN) of the specified Access Grants instance.
     */
    readonly accessGrantsInstanceArn?: string;
    /**
     * A unique identifier for the specified access grants instance.
     */
    readonly accessGrantsInstanceId?: string;
    /**
     * The Amazon Resource Name (ARN) of the specified AWS Identity Center.
     */
    readonly identityCenterArn?: string;
}
/**
 * The AWS::S3::AccessGrantsInstance resource is an Amazon S3 resource type that hosts Access Grants and their associated locations
 */
export declare function getAccessGrantsInstanceOutput(args: GetAccessGrantsInstanceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccessGrantsInstanceResult>;
export interface GetAccessGrantsInstanceOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified Access Grants instance.
     */
    accessGrantsInstanceArn: pulumi.Input<string>;
}
