import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type Definition for AWS::S3Outposts::BucketPolicy
 */
export declare function getBucketPolicy(args: GetBucketPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetBucketPolicyResult>;
export interface GetBucketPolicyArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified bucket.
     */
    bucket: string;
}
export interface GetBucketPolicyResult {
    /**
     * A policy document containing permissions to add to the specified bucket.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::S3Outposts::BucketPolicy` for more information about the expected schema for this property.
     */
    readonly policyDocument?: any;
}
/**
 * Resource Type Definition for AWS::S3Outposts::BucketPolicy
 */
export declare function getBucketPolicyOutput(args: GetBucketPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBucketPolicyResult>;
export interface GetBucketPolicyOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the specified bucket.
     */
    bucket: pulumi.Input<string>;
}
