import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Schema for AWS::ServiceCatalogAppRegistry::AttributeGroupAssociation.
 */
export declare function getAttributeGroupAssociation(args: GetAttributeGroupAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetAttributeGroupAssociationResult>;
export interface GetAttributeGroupAssociationArgs {
    /**
     * The Amazon resource name (ARN) of the application that was augmented with attributes.
     */
    applicationArn: string;
    /**
     * The Amazon resource name (ARN) of the attribute group which contains the application's new attributes.
     */
    attributeGroupArn: string;
}
export interface GetAttributeGroupAssociationResult {
    /**
     * The Amazon resource name (ARN) of the application that was augmented with attributes.
     */
    readonly applicationArn?: string;
    /**
     * The Amazon resource name (ARN) of the attribute group which contains the application's new attributes.
     */
    readonly attributeGroupArn?: string;
}
/**
 * Resource Schema for AWS::ServiceCatalogAppRegistry::AttributeGroupAssociation.
 */
export declare function getAttributeGroupAssociationOutput(args: GetAttributeGroupAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAttributeGroupAssociationResult>;
export interface GetAttributeGroupAssociationOutputArgs {
    /**
     * The Amazon resource name (ARN) of the application that was augmented with attributes.
     */
    applicationArn: pulumi.Input<string>;
    /**
     * The Amazon resource name (ARN) of the attribute group which contains the application's new attributes.
     */
    attributeGroupArn: pulumi.Input<string>;
}
