import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SES::Template
 */
export declare function getTemplate(args: GetTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetTemplateResult>;
export interface GetTemplateArgs {
    id: string;
}
export interface GetTemplateResult {
    readonly id?: string;
    /**
     * The content of the email, composed of a subject line and either an HTML part or a text-only part.
     */
    readonly template?: outputs.ses.Template;
}
/**
 * Resource Type definition for AWS::SES::Template
 */
export declare function getTemplateOutput(args: GetTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTemplateResult>;
export interface GetTemplateOutputArgs {
    id: pulumi.Input<string>;
}
