"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstanceAccessControlAttributeConfiguration = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for SSO InstanceAccessControlAttributeConfiguration
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const abac = new aws_native.sso.InstanceAccessControlAttributeConfiguration("abac", {
 *     instanceArn: "arn:aws:sso:::instance/ssoins-instanceId",
 *     accessControlAttributes: [{
 *         key: "CostCenter",
 *         value: {
 *             source: ["${path:enterprise.costCenter}"],
 *         },
 *     }],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const abac = new aws_native.sso.InstanceAccessControlAttributeConfiguration("abac", {
 *     instanceArn: "arn:aws:sso:::instance/ssoins-instanceId",
 *     accessControlAttributes: [{
 *         key: "CostCenter",
 *         value: {
 *             source: ["${path:enterprise.costCenter}"],
 *         },
 *     }],
 * });
 *
 * ```
 */
class InstanceAccessControlAttributeConfiguration extends pulumi.CustomResource {
    /**
     * Get an existing InstanceAccessControlAttributeConfiguration resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new InstanceAccessControlAttributeConfiguration(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of InstanceAccessControlAttributeConfiguration.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === InstanceAccessControlAttributeConfiguration.__pulumiType;
    }
    /**
     * Create a InstanceAccessControlAttributeConfiguration resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.instanceArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'instanceArn'");
            }
            resourceInputs["accessControlAttributes"] = args ? args.accessControlAttributes : undefined;
            resourceInputs["instanceAccessControlAttributeConfiguration"] = args ? args.instanceAccessControlAttributeConfiguration : undefined;
            resourceInputs["instanceArn"] = args ? args.instanceArn : undefined;
        }
        else {
            resourceInputs["accessControlAttributes"] = undefined /*out*/;
            resourceInputs["instanceAccessControlAttributeConfiguration"] = undefined /*out*/;
            resourceInputs["instanceArn"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["instanceArn"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(InstanceAccessControlAttributeConfiguration.__pulumiType, name, resourceInputs, opts);
    }
}
exports.InstanceAccessControlAttributeConfiguration = InstanceAccessControlAttributeConfiguration;
/** @internal */
InstanceAccessControlAttributeConfiguration.__pulumiType = 'aws-native:sso:InstanceAccessControlAttributeConfiguration';
//# sourceMappingURL=instanceAccessControlAttributeConfiguration.js.map