export declare const ServiceLevelObjectiveDurationUnit: {
    readonly Minute: "MINUTE";
    readonly Hour: "HOUR";
    readonly Day: "DAY";
    readonly Month: "MONTH";
};
/**
 * Specifies the interval unit.
 */
export type ServiceLevelObjectiveDurationUnit = (typeof ServiceLevelObjectiveDurationUnit)[keyof typeof ServiceLevelObjectiveDurationUnit];
export declare const ServiceLevelObjectiveEvaluationType: {
    readonly PeriodBased: "PeriodBased";
    readonly RequestBased: "RequestBased";
};
/**
 * Displays whether this is a period-based SLO or a request-based SLO.
 */
export type ServiceLevelObjectiveEvaluationType = (typeof ServiceLevelObjectiveEvaluationType)[keyof typeof ServiceLevelObjectiveEvaluationType];
export declare const ServiceLevelObjectiveRequestBasedSliComparisonOperator: {
    readonly GreaterThanOrEqualTo: "GreaterThanOrEqualTo";
    readonly LessThanOrEqualTo: "LessThanOrEqualTo";
    readonly LessThan: "LessThan";
    readonly GreaterThan: "GreaterThan";
};
/**
 * The arithmetic operation used when comparing the specified metric to the threshold.
 */
export type ServiceLevelObjectiveRequestBasedSliComparisonOperator = (typeof ServiceLevelObjectiveRequestBasedSliComparisonOperator)[keyof typeof ServiceLevelObjectiveRequestBasedSliComparisonOperator];
export declare const ServiceLevelObjectiveRequestBasedSliMetricMetricType: {
    readonly Latency: "LATENCY";
    readonly Availability: "AVAILABILITY";
};
/**
 * If the SLO monitors either the LATENCY or AVAILABILITY metric that Application Signals collects, this field displays which of those metrics is used.
 */
export type ServiceLevelObjectiveRequestBasedSliMetricMetricType = (typeof ServiceLevelObjectiveRequestBasedSliMetricMetricType)[keyof typeof ServiceLevelObjectiveRequestBasedSliMetricMetricType];
export declare const ServiceLevelObjectiveSliComparisonOperator: {
    readonly GreaterThanOrEqualTo: "GreaterThanOrEqualTo";
    readonly LessThanOrEqualTo: "LessThanOrEqualTo";
    readonly LessThan: "LessThan";
    readonly GreaterThan: "GreaterThan";
};
/**
 * The arithmetic operation used when comparing the specified metric to the threshold.
 */
export type ServiceLevelObjectiveSliComparisonOperator = (typeof ServiceLevelObjectiveSliComparisonOperator)[keyof typeof ServiceLevelObjectiveSliComparisonOperator];
export declare const ServiceLevelObjectiveSliMetricMetricType: {
    readonly Latency: "LATENCY";
    readonly Availability: "AVAILABILITY";
};
/**
 * If the SLO monitors either the LATENCY or AVAILABILITY metric that Application Signals collects, this field displays which of those metrics is used.
 */
export type ServiceLevelObjectiveSliMetricMetricType = (typeof ServiceLevelObjectiveSliMetricMetricType)[keyof typeof ServiceLevelObjectiveSliMetricMetricType];
